﻿using FishFactoryDataModels.Models;

namespace FishFactoryContracts.BindingModels
{
    public class CannedBindingModel : ICannedModel
    {
        public int Id { get; set; }
        public string CannedName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> CannedComponents
        {
            get;
            set;
        } = new();
    }
}

